#pragma once

#include <BWAPI.h>
#include "CBase.h"
#include "CUnit.h"
#include "Macro.h"

using namespace BWAPI;

class CBase;
class CUnit;

class CMap
{
	public:
		static TilePosition getAreaAverage(const BWEM::Area* area);
		static TilePosition getAreaAverage(const BWEM::Area area);
};